[Armadeus-commitlog] armadeus branch, master, updated. armadeus-6.0-331-g928a1aa
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2017-09-13 14:13:22
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 928a1aa1046d26f819119dc38a043b579e513013 (commit)
from aabe802580378f8fab28b0fc2cd768440594aec8 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 928a1aa1046d26f819119dc38a043b579e513013
Author: Julien BOIBESSOT <jul...@ar...>
Date: Wed Sep 13 16:12:34 2017 +0200
[TOOLS] fix scripts/quiltify.sh usage with (new) SVN
-----------------------------------------------------------------------
Summary of changes:
scripts/quiltify.sh | 10 +++++++---
1 file changed, 7 insertions(+), 3 deletions(-)
diff --git a/scripts/quiltify.sh b/scripts/quiltify.sh
index 00b26c4..4286d00 100755
--- a/scripts/quiltify.sh
+++ b/scripts/quiltify.sh
@@ -102,10 +102,14 @@ if [ "$1" == "export" ]; then
echo -e "\n--- You can now check your work before commiting --> \n"
if [ -d ".git" ]; then
git status
- elif [ -d ".svn" ]; then
- svn status -q
else
- echo "No VCS found"
+ foo=`svn info`
+ if [ "$?" == "0" ]; then
+ svn status -q
+ else
+ echo "No VCS found"
+ exit 1
+ fi
fi
if [ "$QUILT_TARGET_NAME" == "Buildroot" ]; then
hooks/post-receive
--
armadeus
|